Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Path Parameters

index_uid
string
required

Unique identifier of the index.

Response

Returns the current value of the rankingRules setting.

A single ranking rule.

Accepts one of the built-in rules (words, typo, proximity, attribute, attributeRank, wordPosition, sort, exactness) or a sort rule of the form attribute:asc or attribute:desc.

Available options:
words,
typo,
proximity,
attribute,
attributeRank,
wordPosition,
sort,
exactness